#include <bits/stdc++.h>
#define fi first
#define se second

using namespace std;
typedef long long ll;

int main() {
    ios::sync_with_stdio(0);
    cin.tie(0);

    ll h, w;
    cin >> h >> w;
    if (w < h)
        swap(h, w);
    if (h == 1) {
        cout << w + (w * (w + 1)) / 2 - 1;
    } else {
        cout << (((int)log2(w) + 1) * w + (w * (w + 1)) / 2 - 1) * h;
    }
}
